Bug 983549 (CVE-2013-1896)

Summary: CVE-2013-1896 httpd: mod_dav DoS (httpd child process crash) via a URI MERGE request with source URI not handled by mod_dav
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jason.greene, jdoyle, jkaluza, jkurik, jorton, lgao, pahan, pcheung, pslavice, rmeggins, rsvoboda, webstack-team, weli
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130523,reported=20130710,source=cve,cvss2=5.0/AV:N/AC:L/Au:N/C:N/I:N/A:P,rhel-4/httpd=affected,rhel-5/httpd=affected,rhel-6/httpd=affected,rhel-7/httpd=notaffected,fedora-all/httpd=affected,directory_server_8/httpd=new,jbews-1/httpd=wontfix,jbews-2/httpd=affected,eap-6/httpd=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-04 15:22:31 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 983617, 983618, 987212, 987213, 991366, 991367, 991368, 991369, 1014388    
Bug Blocks: 980700, 983624, 987712    

Description Jan Lieskovsky 2013-07-11 08:44:31 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-1896 to the following vulnerability:

mod_dav.c in the Apache HTTP Server before 2.2.25 does not properly determine whether DAV is enabled for a URI, which allows remote attackers to cause a denial of service (segmentation fault) via a MERGE request in which the URI is configured for handling by the mod_dav_svn module, but a certain href attribute in XML data refers to a non-DAV URI.

References:
http://www.apache.org/dist/httpd/Announcement2.2.html
http://svn.apache.org/viewvc?view=revision&revision=1485668
Comment 2 Jan Lieskovsky 2013-07-11 10:39:43 EDT
This issue affects the versions of the httpd package, as shipped with Red Hat Enterprise Linux 4, 5, and 6.

--

This issue affects the versions of the httpd package, as shipped with Fedora release of 17, 18, and 19. Please schedule an update.
Comment 5 Jan Lieskovsky 2013-07-11 10:42:23 EDT
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 983618]
Comment 7 Jan Lieskovsky 2013-07-11 10:55:41 EDT
Upstream patch against v.2.4.x branch:
  http://svn.apache.org/viewvc?view=revision&revision=1486461
Comment 13 errata-xmlrpc 2013-08-05 11:31:34 EDT
This issue has been addressed in following products:

  JBEWS 2 for RHEL 5
  JBEWS 2 for RHEL 6

Via RHSA-2013:1133 https://rhn.redhat.com/errata/RHSA-2013-1133.html
Comment 14 errata-xmlrpc 2013-08-05 11:42:02 EDT
This issue has been addressed in following products:

  JBEWS 2 for RHEL 5
  JBEWS 2 for RHEL 6
  JBEWS 2 for Solaris
  JBEWS 2 for Microsoft Windows

Via RHSA-2013:1134 https://rhn.redhat.com/errata/RHSA-2013-1134.html
Comment 15 Fedora Update System 2013-08-09 13:10:50 EDT
httpd-2.4.6-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 errata-xmlrpc 2013-08-13 12:27:54 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:1156 https://rhn.redhat.com/errata/RHSA-2013-1156.html
Comment 17 Fedora Update System 2013-08-16 19:03:13 EDT
httpd-2.4.6-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 errata-xmlrpc 2013-09-04 14:56:39 EDT
This issue has been addressed in following products:

  Red Hat JBoss Enterprise Application Platform 6.1.1

Via RHSA-2013:1209 https://rhn.redhat.com/errata/RHSA-2013-1209.html
Comment 19 errata-xmlrpc 2013-09-04 14:58:37 EDT
This issue has been addressed in following products:

  JBEAP 6 for RHEL 6

Via RHSA-2013:1208 https://rhn.redhat.com/errata/RHSA-2013-1208.html
Comment 20 errata-xmlrpc 2013-09-04 15:03:09 EDT
This issue has been addressed in following products:

  JBEAP 6 for RHEL 5

Via RHSA-2013:1207 https://rhn.redhat.com/errata/RHSA-2013-1207.html